Bug 637360 - Review Request: ghc-parameterized-data - Parameterized data library
Review Request: ghc-parameterized-data - Parameterized data library
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Narasimhan
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-09-25 03:37 EDT by Shakthi Kannan
Modified: 2011-02-22 21:09 EST (History)
4 users (show)

See Also:
Fixed In Version: ghc-parameterized-data-0.1.5-2.fc14
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-02-21 02:25:36 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
lakshminaras2002: fedora‑review+


Attachments (Terms of Use)

  None (edit)
Description Shakthi Kannan 2010-09-25 03:37:29 EDT
Spec URL: http://shakthimaan.fedorapeople.org/SPECS/ghc-parameterized-data.spec
SRPM URL: http://shakthimaan.fedorapeople.org/SRPMS/ghc-parameterized-data-0.1.5-1.fc15.src.rpm
Description: Parameterized data library implementing lightweight dependent types
Comment 1 Shakthi Kannan 2010-09-25 03:42:58 EDT
Output of rpmlint:

$ rpmlint ghc-parameterized-data.spec
0 packages and 1 specfiles checked; 0 errors, 0 warnings.

$ rpmlint ghc-parameterized-data-0.1.5-1.fc15.src.rpm 
ghc-parameterized-data.src: W: spelling-error Summary(en_US) Haskell -> Gaskell, Gaitskell, Skellum
1 packages and 0 specfiles checked; 0 errors, 1 warnings.

$ rpmlint RPMS/i686/ghc-parameterized-data-*
ghc-parameterized-data.i686: W: spelling-error Summary(en_US) Haskell -> Gaskell, Gaitskell, Skellum
ghc-parameterized-data-devel.i686: W: spelling-error Summary(en_US) Haskell -> Gaskell, Gaitskell, Skellum
ghc-parameterized-data-prof.i686: E: devel-dependency ghc-parameterized-data-devel
ghc-parameterized-data-prof.i686: W: no-documentation
ghc-parameterized-data-prof.i686: W: devel-file-in-non-devel-package /usr/lib/ghc-6.12.3/parameterized-data-0.1.5/libHSparameterized-data-0.1.5_p.a
3 packages and 0 specfiles checked; 1 errors, 4 warnings.

Successful Koji build for F-14:
http://koji.fedoraproject.org/koji/taskinfo?taskID=2488413

Koji build fails for F-13 due to lack of ghc-rpm-macros >= 0.8.1.
Comment 2 Narasimhan 2011-02-09 22:25:32 EST
[+]MUST: rpmlint must be run on every package. The output should be posted in the review.
rpmlint  -i ghc-parameterized-data-*.rpm ../ghc-parameterized-data.spec 
ghc-parameterized-data.i686: W: spelling-error Summary(en_US) Haskell -> Gaskell, Gaitskell, Skellum
The value of this tag appears to be misspelled. Please double-check.

ghc-parameterized-data.src: W: spelling-error Summary(en_US) Haskell -> Gaskell, Gaitskell, Skellum
The value of this tag appears to be misspelled. Please double-check.

ghc-parameterized-data-devel.i686: W: spelling-error Summary(en_US) Haskell -> Gaskell, Gaitskell, Skellum
The value of this tag appears to be misspelled. Please double-check.

ghc-parameterized-data-prof.i686: E: devel-dependency ghc-parameterized-data-devel
Your package has a dependency on a devel package but it's not a devel package
itself.

ghc-parameterized-data-prof.i686: W: spelling-error Summary(en_US) Haskell -> Gaskell, Gaitskell, Skellum
The value of this tag appears to be misspelled. Please double-check.

ghc-parameterized-data-prof.i686: W: no-documentation
The package contains no documentation (README, doc, etc). You have to include
documentation files.

ghc-parameterized-data-prof.i686: W: devel-file-in-non-devel-package /usr/lib/ghc-6.12.3/parameterized-data-0.1.5/libHSparameterized-data-0.1.5_p.a
A development file (usually source code) is located in a non-devel package. If
you want to include source code in your package, be sure to create a
development package.

4 packages and 1 specfiles checked; 1 errors, 6 warnings.

[+]MUST: The package must be named according to the Package Naming Guidelines.
[+]MUST: The spec file name must match the base package %{name}, in the format %{name}.spec
[+]MUST: The package must meet the Packaging Guidelines.
        Naming-Yes
        Version-release - Matches
        License - OK, BSD 3 clause
        No prebuilt external bits - OK
        Spec legibity - OK
        Package template - OK, please use cabal2spec 0.22.4. Also you can enter ghc deps using ghc_pkg_deps macro (as per the template)
        Arch support - OK
        Libexecdir - OK
        rpmlint - yes
        changelogs - OK
        Source url tag  - OK, validated.
        Buildroot is ignored - present anyway. OK
        %clean is ignored - present anyway. OK
        Build Requires list - OK, Please use a ghc_pkg_deps macro to enter the deps (to adhere to the template).
        Summary and description - OK
        API documentation - OK

[+]MUST: The package must be licensed with a Fedora approved license and meet the Licensing Guidelines .
BSD 3 clause license
[+]MUST: The License field in the package spec file must match the actual license.
[+]MUST: If (and only if) the source package includes the text of the license(s) in its own file, then that file, containing the text of the license(s) for the package must be included in %doc.
Yes LICENSE file included.
[+]MUST: The spec file must be written in American English.
[+]MUST: The spec file for the package MUST be legible.
[+]MUST: The sources used to build the package must match the upstream source,as provided in the spec URL. Reviewers should use md5sum for this task.
md5sum  parameterized-data-0.1.5.tar.gz 
fe332c77def5865a01fe3b1af9ec1b78  parameterized-data-0.1.5.tar.gz

md5sum  parameterized-data-0.1.5.tar.gz
fe332c77def5865a01fe3b1af9ec1b78  parameterized-data-0.1.5.tar.gz

[+]MUST: The package MUST successfully compile and build into binary rpms on at least one primary architecture.
Built on i686.
[+]MUST: If the package does not successfully compile, build or work on an architecture, then those architectures should be listed in the spec in ExcludeArch.
[+]MUST: All build dependencies must be listed in BuildRequires.
[NA]MUST: The spec file MUST handle locales properly using the %find_lang macro
[NA]MUST: Packages stores shared library files must call ldconfig in %post and %postun.
[+]MUST: Packages must NOT bundle copies of system libraries.
checked with rpmquery --list
[NA]MUST: If the package is designed to be relocatable, the packager must state this fact in the request for review.
[+]MUST: A package must own all directories that it creates.
checked with rpmquery --whatprovides
[+]MUST: A Fedora package must not list a file more than once in the spec file's %files listings.
[+]MUST: Permissions on files must be set properly.
checked with ls -lR
[+]MUST: Each package must consistently use macros.
[+]MUST: The package must contain code, or permissible content.
[+]MUST: Large documentation files must go in a -doc subpackage.
[+]MUST: If a package includes something as %doc, it must not affect the runtime of the application.
[NA]MUST: Header files must be in a -devel package.
[NA]MUST: Static libraries must be in a -static package.
[NA]MUST: If a package contains library files with a suffix (e.g.libfoo.so.1.1), then library files that end in .so (without suffix) must go in a -devel package.
[+]MUST: devel packages must require the base package using a fully versioned dependency: Requires: {name} = %{version}-%{release}
rpm -e ghc-parameterized-data
error: Failed dependencies:
	ghc-parameterized-data = 0.1.5-1.f13 is needed by (installed) ghc-parameterized-data-devel-0.1.5-1.f13.i686

rpm -e ghc-parameterized-data-devel
error: Failed dependencies:
	ghc-parameterized-data-devel = 0.1.5-1.f13 is needed by (installed) ghc-parameterized-data-prof-0.1.5-1.f13.i686
[NA]MUST: Packages must NOT contain any .la libtool archives, these must be removed in the spec if they are built.
[NA]MUST: Packages containing GUI applications must include a %{name}.desktop file, and that file must be properly installed with desktop-file-install in the %install section
[+]MUST: Packages must not own files or directories already owned by other packages.
[+]MUST: All filenames in rpm packages must be valid UTF-8.

Should items
[+]SHOULD: If the source package does not include license text(s) as a separate file from upstream, the packager SHOULD query upstream to include it.
[+]SHOULD: The reviewer should test that the package functions as described.
Installed the packages. Imported Data.Param.FSVec into ghci.Works fine.
[+]SHOULD: If scriptlets are used, those scriptlets must be sane.

cabal2spec-diff is OK.

APPROVED.

Lower  required version for ghc-rpm-macros to 0.7.3.
Comment 4 Shakthi Kannan 2011-02-11 07:54:04 EST
New Package SCM Request
=======================
Package Name: ghc-parameterized-data
Short Description: A parameterized-data library for Haskell
Owners: shakthimaan 
Branches: F-13 F-14 
InitialCC: haskell-sig
Comment 5 Jason Tibbitts 2011-02-11 11:00:59 EST
Added an f15 branch for you as well.

Git done (by process-git-requests).
Comment 6 Fedora Update System 2011-02-11 12:51:32 EST
ghc-parameterized-data-0.1.5-2.fc13 has been submitted as an update for Fedora 13.
https://admin.fedoraproject.org/updates/ghc-parameterized-data-0.1.5-2.fc13
Comment 7 Fedora Update System 2011-02-11 12:51:40 EST
ghc-parameterized-data-0.1.5-2.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/ghc-parameterized-data-0.1.5-2.fc14
Comment 8 Fedora Update System 2011-02-13 03:52:04 EST
ghc-parameterized-data-0.1.5-2.fc13 has been pushed to the Fedora 13 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update ghc-parameterized-data'.  You can provide feedback for this update here: https://admin.fedoraproject.org/updates/ghc-parameterized-data-0.1.5-2.fc13
Comment 9 Fedora Update System 2011-02-21 02:25:29 EST
ghc-parameterized-data-0.1.5-2.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 10 Fedora Update System 2011-02-21 02:30:00 EST
ghc-parameterized-data-0.1.5-2.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 11 Shakthi Kannan 2011-02-22 01:45:26 EST
New Package SCM Request
=======================
Package Name: ghc-parameterized-data
Short Description: A parameterized-data library for Haskell
Owners: shakthimaan
Branches: f13 f14 f15
InitialCC: haskell-sig
Comment 12 Jason Tibbitts 2011-02-22 12:13:20 EST
I don't understand what's being requested here.  This package is already in the
repository.

Please explain what you'd like for us to do and re-raise the fedora-cvs flag.
Comment 13 Shakthi Kannan 2011-02-22 21:09:34 EST
Never mind. I was able to push the package to f15 branch.

Note You need to log in before you can comment on or make changes to this bug.